camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John Poth (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-11488) Camel-undertow Karaf feature broken
Date Fri, 30 Jun 2017 17:12:00 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-11488?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16070425#comment-16070425
] 

John Poth commented on CAMEL-11488:
-----------------------------------

Yes you're completely right, we've recently upgraded to 1.4.18.Final (today) which includes
the OSGI metadata out of the box :) closing!

> Camel-undertow Karaf feature broken
> -----------------------------------
>
>                 Key: CAMEL-11488
>                 URL: https://issues.apache.org/jira/browse/CAMEL-11488
>             Project: Camel
>          Issue Type: Bug
>          Components: camel-undertow
>            Reporter: John Poth
>
> Stacktrace when running [test|https://github.com/apache/camel/blob/master/tests/camel-itest-karaf/src/test/java/org/apache/camel/itest/karaf/CamelUndertowTest.java]:
> {code}
> test(org.apache.camel.itest.karaf.CamelUndertowTest)  Time elapsed: 11.411 sec  <<<
ERROR!
> org.ops4j.pax.exam.WrappedTestContainerException: [test(org.apache.camel.itest.karaf.CamelUndertowTest):
Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=camel-undertow;
type=karaf.feature; version="[2.20.0.SNAPSHOT,2.20.0.SNAPSHOT]"; filter:="(&(osgi.identity=camel-undertow)(type=karaf.feature)(version>=2.20.0.SNAPSHOT)(version<=2.20.0.SNAPSHOT))"
[caused by: Unable to resolve camel-undertow/2.20.0.SNAPSHOT: missing requirement [camel-undertow/2.20.0.SNAPSHOT]
osgi.identity; osgi.identity=org.apache.camel.camel-undertow; type=osgi.bundle; version="[2.20.0.SNAPSHOT,2.20.0.SNAPSHOT]";
resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-undertow/2.20.0.SNAPSHOT:
missing requirement [org.apache.camel.camel-undertow/2.20.0.SNAPSHOT] osgi.wiring.package;
filter:="(&(osgi.wiring.package=io.undertow)(version>=1.4.0)(!(version>=2.0.0)))"]]]
>         at org.apache.felix.resolver.ResolutionError.toException(ResolutionError.java:42)
>         at org.apache.felix.resolver.ResolverImpl.doResolve(ResolverImpl.java:389)
>         at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:375)
>         at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:347)
>         at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:218)
>         at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:285)
>         at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1170)
>         at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$0(FeaturesServiceImpl.java:1069)
>         at java.util.concurrent.FutureTask.run(FutureTask.java:266)
>         at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
>         at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
>         at java.lang.Thread.run(Thread.java:745)
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message